messages.getMessages
Returns the list of messages by their IDs.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Returns the list of messages by their IDs.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getMessages" \ -H "Content-Type: application/json" \ -d '{ "params": { "id": [ { "_": "inputMessageID", "id": 0 } ] } }'{ "result": { "_": "messages.messages", "messages": [ { "_": "messageEmpty", "id": 0, "peerId": { "_": "peerUser", "userId": 0 } } ], "topics": [ { "_": "forumTopicDeleted", "id": 0 } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getMessageReadParticipants
Get which users read a specific message: only available for groups and supergroups with less than [chat_read_mark_size_threshold members](https://core.telegram.org/api/config#chat-read-mark-size-threshold), read receipts will be stored for [chat_read_mark_expire_period seconds after the message was sent](https://core.telegram.org/api/config#chat-read-mark-expire-period), see [client configuration for more info »](https://core.telegram.org/api/config#client-configuration).
getMessagesReactions
Get [message reactions »](https://core.telegram.org/api/reactions)